Documentation

Datasets

Get dataset by slug

Returns a single dataset by its slug.

ProductionStagingUATLocal development
GEThttps://linguistic.ankiren.com/api/datasets/{slug}

Parameters

Path Parameters

  • slugstringpathRequired

    URL-friendly identifier for the dataset

Responses

200 · Dataset details

  • idintegerRequired

    Auto-increment identifier

  • slugstringRequired

    URL-friendly identifier

  • namestringRequired

    Display name

  • nameVistring?

    Vietnamese name

  • descriptionstring?

    Dataset description

  • taskstring?

    Task type

  • taskVistring?

    Vietnamese task name

  • languagestring?

    Dataset language

  • rowsstring?

    Row count as formatted string

  • sourcestring?

    Source URL (e.g., HuggingFace link)

  • tagsstring?

    Comma-separated tags

  • createdAtstring<date-time>Required

    Record creation timestamp

    format: date-time
  • updatedAtstring<date-time>Required

    Last update timestamp

    format: date-time
application/json
{
  "id": 1,
  "slug": "vlsp2013-postag",
  "name": "VLSP2013_POSTAG",
  "nameVi": "Gán nhãn từ loại tiếng Việt",
  "description": "Vietnamese POS tagging dataset from VLSP 2013",
  "task": "Token Classification",
  "taskVi": "Phân loại từ",
  "language": "Vietnamese",
  "rows": "27,871",
  "source": "https://huggingface.co/datasets/vlsp2013-postag",
  "tags": "POS Tagging,Vietnamese,NLP",
  "createdAt": "2026-01-17T10:00:00Z",
  "updatedAt": "2026-01-17T10:00:00Z"
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://linguistic.ankiren.com/api/datasets/vlsp2013-postag' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'